Page MenuHomePhabricator

train-dev has no "definition of done"
Closed, ResolvedPublic

Description

It would be good for the train-dev subproject to have its own "definition of done". I propose the following, for now:

  • "./check /path/to/images yes" runs successfully
  • any relevant in-repository documentation (README or similar) has been updated to reflect change
  • all changes are merged into the master branch
  • any relevant Phabricator tickets have been updated, especially their status

Once we agree on a DoD, let's document it in the repository directly, where it's tracked and easy to find.

DoD: https://www.agilealliance.org/glossary/definition-of-done/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2020, 11:33 AM
LarsWirzenius triaged this task as Medium priority.Sep 2 2020, 12:14 PM
LarsWirzenius closed this task as Resolved.Sep 16 2020, 4:43 PM

a DONE.md has been merged now.